DSCN3393.JPG=Bois de Boulogne Paris
DSC06155.JPG=Arc de Triomphe
DSCN3397.JPG=Bois de Boulogne Paris
DSC06113.JPG=Notre Dame Church clock mechanism
DSC06182.JPG=The Louvre
DSC06127.JPG=Approaching Paris
DSC06146.JPG=Arc de Triomphe - 12 avenues meet at the roundabout
DSC06194.JPG=The Louvre
DSC06139.JPG=Arc de Triomphe
DSC06148.JPG=Arc de Triomphe - 12 avenues meet at the roundabout
DSC06114.JPG=Notre Dame Church L'Epine
DSC06193.JPG=The Louvre
DSC06098.JPG=L'Epine
DSC06106.JPG=Notre Dame Church L'Epine
DSC06088.JPG=L'Epine harvested vegetable - type of turnip
DSC06123.JPG=Approaching Paris
DSC06137.JPG=Phone booth at Bois de Boulogne Paris
DSC06138.JPG=Arc de Triomphe
DSC06143.JPG=Arc de Triomphe flame for the onknown soldier
DSC06134.JPG=Approaching Paris
DSC06195.JPG=The Louvre - Arc du Carrousel
DSC06101.JPG=Notre Dame gargoyles L'Epine
DSC06197.JPG=The Louvre - antiques
DSC06159.JPG=Arc de Triomphe
DSC06157.JPG=Arc de Triomphe
DSC06167.JPG=Champs Elysee
DSC06150.JPG=Arc de Triomphe - 12 avenues meet at the roundabout
DSC06142.JPG=Arc de Triomphe
DSC06097.JPG=L'Epine
DSC06174.JPG=Champs Elysee
DSC06115.JPG=Notre Dame Church L'Epine
DSC06176.JPG=Champs Elysee
DSC06468.JPG=Tour bus route shows the popular points of interest
DSC06086.JPG=Straight road in France - L'Epine
DSCN3395.JPG=Bois de Boulogne Paris
DSCN3392.JPG=Notre Dame Church L'Epine
DSCN3399.JPG=Arc de Triomphe
DSCN3405.JPG=Bois de Boulogne Paris
DSC06094.JPG=L'Epine stone work on an old house
DSC06152.JPG=Arc de Triomphe
DSC06202.JPG=Grand Palace
DSC06140.JPG=Arc de Triomphe
DSC06118.JPG=Notre Dame Church L'Epine
DSC06102.JPG=Notre Dame gargoyles L'Epine
DSC06196.JPG=The Louvre hotel
ChampsElysee.jpg=Lunch on the Champs Elysee
DSC06145.JPG=Arc de Triomphe - Champs Elysee
DSC06191.JPG=The Louvre - Louis XIV
DSC06111.JPG=Notre Dame Church L'Epine
Louvre.JPG=The Louvre
DSC06166.JPG=Champs Elysee
DSC06183.JPG=The Louvre
DSC06103.JPG=Notre Dame gargoyles L'Epine
